#===============================================================================
# Messaging Server 5.0 object classes/attributes defined and used by
#
#   iPlanet Messaging Server 5.0
#
# All definitions here are in compliance with the schema interoperability
# specification being worked on for schema interoperability across iPlanet
# products and key partners.
#
#===============================================================================

## Attribute definitions used by messaging object classes
#
attribute   mailRoutingHosts   	2.16.840.1.113730.3.1.759	cis		
attribute   mailRoutingSmartHost   2.16.840.1.113730.3.1.760  cis  single
attribute   preferredMailHost   2.16.840.1.113730.3.1.761	cis	single
attribute   preferredMailMessageStore  	2.16.840.1.113730.3.1.762 ces	single
attribute   mailAccessProxyReplay   2.16.840.1.113730.3.1.763	cis	single
attribute   mailDomainAllowedServiceAccess  2.16.840.1.113730.3.1.764 cis single
attribute   mailDomainWelcomeMessage  2.16.840.1.113730.3.1.765	cis	single
attribute   mailDomainDiskQuota   2.16.840.1.113730.3.1.766	int	single
attribute   mailDomainMsgQuota   2.16.840.1.113730.3.1.767	int	single
attribute   mailClientAttachmentQuota  2.16.840.1.113730.3.1.768 int	single
attribute   mailQuota   2.16.840.1.113730.3.1.21	int		single
attribute   mailAccessProxyPreAuth    2.16.840.1.113730.3.1.769	cis	single
attribute   mailDomainStatus   	2.16.840.1.113730.3.1.770	cis	single
attribute   mailAutoReplyTimeout   2.16.840.1.113730.3.1.771	int	single
attribute   mailAutoReplySubject   2.16.840.1.113730.3.1.772	cis	single
attribute   mailAutoReplyText   2.16.840.1.113730.3.1.15	cis	single
attribute   mailAutoReplyTextInternal   2.16.840.1.113730.3.1.773 cis	single
attribute   mailAutoReplyMode   2.16.840.1.113730.3.1.14	cis	single
attribute   mailDeliveryOption   2.16.840.1.113730.3.1.16	cis		
attribute   mailForwardingAddress   2.16.840.1.113730.3.1.17	cis		
attribute   mailMessageStore    2.16.840.1.113730.3.1.19	ces	single
attribute   mailProgramDeliveryInfo   2.16.840.1.113730.3.1.20	ces	
attribute   mailMsgQuota   2.16.840.1.113730.3.1.774	int		single
attribute   mailSieveRuleSource   2.16.840.1.113730.3.1.775	cis	
attribute   mailSMTPSubmitChannel   2.16.840.1.113730.3.1.776	cis	single
attribute   nswmExtendedUserPrefs  2.16.840.1.113730.3.1.520 	cis	
attribute   mailAllowedServiceAccess  2.16.840.1.113730.3.1.777	cis	single
attribute   mailUserStatus  2.16.840.1.113730.3.1.778 	cis		single
attribute   dataSource   2.16.840.1.113730.3.1.779	cis		single
attribute   mailHost   2.16.840.1.113730.3.1.18	cis		single
attribute   mailRoutingAddress    2.16.840.1.113730.3.1.24   cis	single
attribute   mailAdminRole   2.16.840.1.113730.3.1.780 	cis		
attribute   mgrpAddHeader   2.16.840.1.113730.3.1.781	cis		
attribute   mgrpRemoveHeader  2.16.840.1.113730.3.1.801 	cis		
attribute   mgrpModerator 2.16.840.1.113730.3.1.33  	ces		
attribute   mgrpRequestTo   2.16.840.1.113730.3.1.782	ces		
attribute   mgrpAuthPassword   	2.16.840.1.113730.3.1.783 ces		single
attribute   mgrpAllowedDomain   2.16.840.1.113730.3.1.23	cis		
attribute   mgrpDisallowedDomain   2.16.840.1.113730.3.1.784	cis		
attribute   mgrpAllowedBroadcaster  2.16.840.1.113730.3.1.22 	ces		
attribute   mgrpDisallowedBroadcaster    2.16.840.1.113730.3.1.785	ces	
attribute   inetMailGroupStatus   2.16.840.1.113730.3.1.786	cis	single	
attribute   mailDeliveryFileURL   2.16.840.1.113730.3.1.787	ces	single	
attribute   mgrpRFC822MailMember  2.16.840.1.113730.3.1.30 	cis
attribute   mgrpDeliverTo   2.16.840.1.113730.3.1.25	cis	
attribute   mgrpBroadcasterPolicy   2.16.840.1.113730.3.1.788	cis	single
attribute   mgrpMsgMaxsize   2.16.840.1.113730.3.1.32	int	single
attribute   mgrpMsgRejectAction   2.16.840.1.113730.3.1.28	cis	single
attribute   mgrpMsgRejectText   2.16.840.1.113730.3.1.29	cis	single
attribute   mgrpNoDuplicateChecks    2.16.840.1.113730.3.1.789	cis	single
attribute   mgmanAllowSubscribe   2.16.840.1.113730.3.1.790	cis	
attribute   mgmanDenySubscribe   2.16.840.1.113730.3.1.791	cis	
attribute   mgmanHidden   2.16.840.1.113730.3.1.792	cis	single
attribute   mgmanJoinability   2.16.840.1.113730.3.1.793	cis	single
attribute   mgmanVisibility   2.16.840.1.113730.3.1.794	cis	single
attribute   mgmanMemberVisibility   2.16.840.1.113730.3.1.795	cis	single
attribute   mgmanIntroText   2.16.840.1.113730.3.1.796	cis	single
attribute   mgmanGoodbyeText   2.16.840.1.113730.3.1.797	cis	single
attribute   multiLineDescription   1.3.6.1.4.1.1466.115.121.1.15   cis	
attribute   msgVanityDomain    2.16.840.1.113730.3.1.799	cis	single
attribute   mailDomainReportAddress    cis	single
attribute   mailDomainMsgMaxBlocks    int	single
attribute   mailDomainSieveRuleSource    cis	single
attribute   mailDomainConversionTag    cis	
attribute   mailDomainCatchAllAddress    cis	single
attribute   mailEquivalentAddress    cis	
attribute   mailMsgMaxBlocks    int	single
attribute   mailConversionTag    cis	
attribute   mailDeferProcessing    cis single	
attribute   mgrpMsgPrefixText    cis  single
attribute   mgrpMsgSuffixText    cis  single 
attribute   mailAntiUBEService    cis  
attribute   mailFolderName	cis single
attribute   mailPublicFolderDefaultRights	cis 
## Defines messaging specific attributes for a hosted domain.  These
#  are private attributes and used only by the iPlanet messaging server
#  Please consult the corresponding documentation for syntax and associated
#  semantics.
#
#  class type: auxiliary

objectclass mailDomain
	oid 2.16.840.1.113730.3.2.151
	allows
            	mailRoutingHosts,
	    	mailRoutingSmartHost,
		preferredMailHost,
		preferredMailMessageStore,
            	mailAccessProxyReplay,
		mailDomainAllowedServiceAccess,
		mailDomainWelcomeMessage,
		mailDomainDiskQuota,
		mailDomainMsgQuota,
		mailClientAttachmentQuota,
		mailQuota,
		mailAccessProxyPreAuth,
		mailDomainStatus,
		preferredLanguage,
		mailDomainReportAddress,
		mailDomainMsgMaxBlocks,
		mailDomainSieveRuleSource,
		mailDomainConversionTag,
		mailDomainCatchAllAddress,
		mailAntiUBEService,
		mailPublicFolderDefaultRights


## Defines attributes for a messaging server user.
#  A messaging server user would, at a minimum have the following
#  object classes on the user entry:
#	inetOrgPerson, inetUser, ipUser, inetMailUser, 
#	inetLocalMailRecipient
#  This user MAY also have the following classes if vacation is
#  turned on and that user is an ispSubscriber.
#	ispSubscriber, userPresenceProfile
#  class type: auxiliary

objectclass inetMailUser
	oid 2.16.840.1.113730.3.2.146
    	allows 
		mailAutoReplyTimeout,
		mailAutoReplySubject,
		mailAutoReplyText,
		mailAutoReplyTextInternal,
		mailAutoReplyMode,
		mailDeliveryOption,
		mailForwardingAddress,
		mailMessageStore,
		mailProgramDeliveryInfo,
		mailQuota,
		mailMsgQuota,
		mailSieveRuleSource,
		mailSMTPSubmitChannel,
		nswmExtendedUserPrefs,
		mailAllowedServiceAccess,
		mailUserStatus,
		cn,
		dataSource,
		mailEquivalentAddress,
		mailMsgMaxBlocks,
		mailConversionTag,
		mailDeferProcessing,
		mailAntiUBEService

## Defines attributes for routing messages. Overlays user and group entries
#
#  class type: auxiliary

objectclass inetLocalMailRecipient
	oid 2.16.840.1.113730.3.2.147
	allows 
		mail,
		mailAlternateAddress,
		mailHost,
		mailRoutingAddress

## defines attributes for stting mailAdmin priviliges.  By setting this
#  objectclass and attribute values (see Provisioning Guide for details)
#  users will be granted access to administrative functions on the message
#  store.
#
#  class type: auxiliary

objectclass inetMailAdministrator
	oid 2.16.840.1.113730.3.2.148
	allows
		mailAdminRole

## Defines attributes for mailing list.  The structural class used to 
#  define the group entry is groupOfUniqueNames
#
#  class type: auxiliary

objectclass inetMailGroup
	oid 1.3.6.1.4.1.42.2.27.2.2.2
	allows
		mgrpErrorsTo,
		mgrpAddHeader,
		mgrpRemoveHeader,
		mgrpModerator,
		mgrpRequestTo,
		mgrpAuthPassword,
		mgrpAllowedDomain,
		mgrpDisallowedDomain,
		mgrpAllowedBroadcaster,
		mgrpDisallowedBroadcaster,
		inetMailGroupStatus,
		mailDeliveryFileURL,
		mailDeliveryOption,
		mailProgramDeliveryInfo,
		mgrpRFC822MailMember,
		mgrpDeliverTo,
		mgrpBroadcasterPolicy,
		mgrpMsgMaxsize,
		mgrpMsgRejectAction,
		mgrpMsgRejectText,
		mgrpNoDuplicateChecks,
		preferredLanguage,
		dataSource,
		mailEquivalentAddress,
		mailMsgMaxBlocks,
		mailConversionTag,
		mailDeferProcessing,
		mgrpMsgPrefixText,
		mgrpMsgSuffixText

## Defines attributes for mailing list management 
#
# class type: auxiliary

objectclass inetMailGroupManagement
	oid 2.16.840.1.113730.3.2.149
	allows
		mgmanAllowSubscribe,
		mgmanDenySubscribe,
                mgmanHidden,
		mgmanJoinability,
		mgmanVisibility,
		mgmanMemberVisibility,
		mgmanIntroText,
		mgmanGoodbyeText,
		multiLineDescription

## Defines attributes for a messaging vanityd domain user
#
# class type : auxiliary

objectclass msgVanityDomainUser
	oid 2.16.840.1.113730.3.2.150
	allows
		msgVanityDomain

## Defines attributes for a Public Folder (IMAP)
#
# class type : structural

objectclass mailPublicFolder
	requires
		mailFolderName
	allows
		mailMessageStore,
		mailPublicFolderDefaultRights,
		mailDeliveryOption,
		mailQuota,
		mailMsgQuota
